ViennaCL - The Vienna Computing Library: viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT > Class Template Reference

Adapts a constant sparse matrix type made up from std::vector<std::map<SizeT, NumericT> > to basic ublas-compatibility. More...

`#include <adapter.hpp>`

Inheritance diagram for viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >:

## Public Types
typedef const_sparse_matrix_adapted_iterator < NumericT, SizeT, true, true > | const_iterator1
typedef const_sparse_matrix_adapted_iterator < NumericT, SizeT, false, true > | const_iterator2
typedef const_sparse_matrix_adapted_iterator < NumericT, SizeT, true, false > | const_reverse_iterator1
typedef NumericT | value_type
typedef vcl_size_t | size_type

## Public Member Functions
| const_sparse_matrix_adapter (std::vector< std::map< SizeT, NumericT > > const &mat)
| const_sparse_matrix_adapter (std::vector< std::map< SizeT, NumericT > > const &mat, size_type num_rows, size_type num_cols)
size_type | size1 () const
size_type | size2 () const
const_iterator1 | begin1 () const
const_iterator1 | end1 () const
const_reverse_iterator1 | rbegin1 () const
const_reverse_iterator1 | rend1 () const
const_iterator2 | begin2 () const
const_iterator2 | end2 () const
NumericT | operator() (SizeT i, SizeT j) const

## Detailed Description

### template<typename NumericT, typename SizeT = unsigned int>
class viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >

Adapts a constant sparse matrix type made up from std::vector<std::map<SizeT, NumericT> > to basic ublas-compatibility.

Template Parameters

  NumericT | either float or double

Definition at line 183 of file adapter.hpp.

## Member Typedef Documentation

template<typename NumericT, typename SizeT = unsigned int>

typedef const_sparse_matrix_adapted_iterator<NumericT, SizeT, true, true> viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::const_iterator1

Definition at line 186 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

typedef const_sparse_matrix_adapted_iterator<NumericT, SizeT, false, true> viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::const_iterator2

Definition at line 187 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

typedef const_sparse_matrix_adapted_iterator<NumericT, SizeT, true, false> viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::const_reverse_iterator1

Definition at line 189 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

typedef vcl_size_t viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::size_type

Definition at line 191 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

typedef NumericT viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::value_type

Definition at line 190 of file adapter.hpp.

## Constructor & Destructor Documentation

template<typename NumericT, typename SizeT = unsigned int>

viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::const_sparse_matrix_adapter | ( | std::vector< std::map< SizeT, NumericT > > const & | mat | ) |
| inline

Definition at line 193 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::const_sparse_matrix_adapter | ( | std::vector< std::map< SizeT, NumericT > > const & | mat,
|  | size_type | num_rows,
|  | size_type | num_cols
| ) |  |
| inline

Definition at line 196 of file adapter.hpp.

## Member Function Documentation

template<typename NumericT, typename SizeT = unsigned int>

const_iterator1 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::begin1 | ( |  | ) | const
| inline

Definition at line 202 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

const_iterator2 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::begin2 | ( |  | ) | const
| inline

Definition at line 208 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

const_iterator1 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::end1 | ( |  | ) | const
| inline

Definition at line 203 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

const_iterator2 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::end2 | ( |  | ) | const
| inline

Definition at line 209 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

NumericT viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::operator() | ( | SizeT | i,
|  | SizeT | j
| ) |  | const
| inline

Definition at line 211 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

const_reverse_iterator1 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::rbegin1 | ( |  | ) | const
| inline

Definition at line 205 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

const_reverse_iterator1 viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::rend1 | ( |  | ) | const
| inline

Definition at line 206 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

size_type viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::size1 | ( |  | ) | const
| inline

Definition at line 199 of file adapter.hpp.

template<typename NumericT, typename SizeT = unsigned int>

size_type viennacl::tools::const_sparse_matrix_adapter< NumericT, SizeT >::size2 | ( |  | ) | const
| inline

Definition at line 200 of file adapter.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/adapter.hpp